id: wordpress-insert-headers-and-footers

info:
  name: WPCode – Insert Headers and Footers + Custom Code Snippets – WordPress Code Manager Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/insert-headers-and-footers/
  metadata:
    plugin_namespace: insert-headers-and-footers
    wpscan: https://wpscan.com/plugin/insert-headers-and-footers
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/insert-headers-and-footers/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/insert-headers-and-footers.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022023c3947a8bcb30c5c2461ca628f2d8d47339e99f0b60863a47eaac3e54321d6a022100f93c6fc23f99115d9797ae92e4cf83ab5632092dde33074d8101f0e35ca80791:922c64590222798bb761d5b6d8e72950